# getConcreteClass

open fun getConcreteClass(): Class<T>

This returns the underlying, concrete Java java.lang.Class.

For example, a simple `TypeOf<String>` will be the given generic type `String.class`. Generic types like `TypeOf<List<String>>` would have the concrete type of `List.class`. For array types like `TypeOf<String[]>`, the concrete type will be an array of the component type (`String[].class`).

#### Since

5.0

#### Return

Underlying Java Class of this type.